Loading...
Searching...
No Matches
lirc.client._State Class Reference
Python client bindings » Classes to receive keypresses » Classes to send commands » Internal parser FSM

Internal FSM state. More...

Inheritance diagram for lirc.client._State:

## Static Public Attributes

int | BEGIN = 1
int | COMMAND = 2
int | RESULT = 3
int | DATA = 4
int | LINE_COUNT = 5
int | LINES = 6
int | END = 7
int | DONE = 8
int | NO_DATA = 9
int | SIGHUP_END = 10

## Detailed Description

Internal FSM state.

Definition at line 491 of file client.py.

## Member Data Documentation

## BEGIN

int lirc.client._State.BEGIN = 1

static

Definition at line 492 of file client.py.

## COMMAND

int lirc.client._State.COMMAND = 2

static

Definition at line 493 of file client.py.

## DATA

int lirc.client._State.DATA = 4

static

Definition at line 495 of file client.py.

## DONE

int lirc.client._State.DONE = 8

static

Definition at line 499 of file client.py.

## END

int lirc.client._State.END = 7

static

Definition at line 498 of file client.py.

## LINE_COUNT

int lirc.client._State.LINE_COUNT = 5

static

Definition at line 496 of file client.py.

## LINES

int lirc.client._State.LINES = 6

static

Definition at line 497 of file client.py.

## NO_DATA

int lirc.client._State.NO_DATA = 9

static

Definition at line 500 of file client.py.

## RESULT

int lirc.client._State.RESULT = 3

static

Definition at line 494 of file client.py.

## SIGHUP_END

int lirc.client._State.SIGHUP_END = 10

static

Definition at line 501 of file client.py.

The documentation for this class was generated from the following file:

- client.py